> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Default Payment Method

export const IntRedir = () => {
  if (typeof document === "undefined") {
    return null;
  } else {
    setTimeout(() => {
      const currentUrl = new URL(window.location.href);
      if (currentUrl.hostname === 'docs-int.wingback.com') {
        currentUrl.hostname = 'docs.wingback.com';
        window.location.replace(currentUrl.toString());
      }
    }, 1);
    return <></>;
  }
};

<IntRedir />


## OpenAPI

````yaml POST /v1/c/customer/{customer_id}/payment/method_selection
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/customer/{customer_id}/payment/method_selection:
    post:
      tags:
        - payment-method
      summary: Set the payment method selection of the customer
      operationId: set_payment_method_selection
      parameters:
        - name: customer_id
          in: path
          description: Id of the customer
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/core.payment.CustomerPaymentMethodSelection'
            example:
              payment_method: CPMet_c40bea18-c0c9-44b1-bd0c-43f5283e1670
        required: true
      responses:
        '200':
          description: customer payment method selection
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/core.payment.CustomerPaymentMethodSelection
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    core.payment.CustomerPaymentMethodSelection:
      oneOf:
        - type: string
          enum:
            - none
        - type: object
          required:
            - payment_method
          properties:
            payment_method:
              $ref: '#/components/schemas/Id'
        - type: string
          enum:
            - manual
      description: |-
        The choice regarding a customer's payments: either
        a regitered payment method, "manual" (payments made
        outside of wingback), or none defined
    Id:
      type: string
      description: >-
        Unique identifier of an object. Consists of object class prefix and a
        UUID
      example: Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````